org.apache.fop.fonts.truetype

## Class OFTableName

- java.lang.Object
- - org.apache.fop.fonts.truetype.OFTableName

    public final class OFTableName
    extends Object

Represents table names as found in a TrueType font's Table Directory. TrueType fonts may have custom tables so we cannot use an enum.

### Field Summary

Fields
`static OFTableName` `BASE` Baseline data
`static OFTableName` `CFF` CFF data/
`static OFTableName` `CMAP` Character to glyph mapping.
`static OFTableName` `CVT` Control Value Table.
`static OFTableName` `EBDT` Embedded bitmap data.
`static OFTableName` `EBLC` Embedded bitmap location data.
`static OFTableName` `EBSC` Embedded bitmap scaling data.
`static OFTableName` `FFTM` A FontForge specific table.
`static OFTableName` `FPGM` Font program.
`static OFTableName` `GASP` Grid-fitting and scan conversion procedure (grayscale).
`static OFTableName` `GDEF` Divides glyphs into various classes that make using the GPOS/GSUB tables easier.
`static OFTableName` `GLYF` Glyph data.
`static OFTableName` `GPOS` Provides kerning information, mark-to-base, etc.
`static OFTableName` `GSUB` Provides ligature information, swash, etc.
`static OFTableName` `HDMX` Horizontal device metrics.
`static OFTableName` `HEAD` Font header.
`static OFTableName` `HHEA` Horizontal header.
`static OFTableName` `HMTX` Horizontal metrics.
`static OFTableName` `KERN` Kerning.
`static OFTableName` `LOCA` Index to location.
`static OFTableName` `LTSH` Linear threshold table.
`static OFTableName` `MAXP` Maximum profile.
`static OFTableName` `NAME` Naming table.
`static OFTableName` `OS2` OS/2 and Windows specific metrics.
`static OFTableName` `PCLT` PCL 5 data.
`static OFTableName` `POST` PostScript information.
`static OFTableName` `PREP` CVT Program.
`static OFTableName` `SVG`
`static OFTableName` `TABLE_DIRECTORY` The first table in a TrueType font file containing metadata about other tables.
`static OFTableName` `VDMX` Vertical Device Metrics table.
`static OFTableName` `VHEA` Vertical Metrics header.
`static OFTableName` `VMTX` Vertical Metrics.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getName()` Returns the name of the table as it should be in the Directory Table.
`static OFTableName` `getValue(String tableName)` Returns an instance of this class corresponding to the given string representation.
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TABLE_DIRECTORY

    public static final OFTableName TABLE_DIRECTORY

The first table in a TrueType font file containing metadata about other tables.

#### BASE

    public static final OFTableName BASE

Baseline data

#### CFF

    public static final OFTableName CFF

CFF data/

#### EBDT

    public static final OFTableName EBDT

Embedded bitmap data.

#### EBLC

    public static final OFTableName EBLC

Embedded bitmap location data.

#### EBSC

    public static final OFTableName EBSC

Embedded bitmap scaling data.

#### FFTM

    public static final OFTableName FFTM

A FontForge specific table.

#### GDEF

    public static final OFTableName GDEF

Divides glyphs into various classes that make using the GPOS/GSUB tables easier.

#### GPOS

    public static final OFTableName GPOS

Provides kerning information, mark-to-base, etc. for opentype fonts.

#### GSUB

    public static final OFTableName GSUB

Provides ligature information, swash, etc. for opentype fonts.

#### LTSH

    public static final OFTableName LTSH

Linear threshold table.

#### OS2

    public static final OFTableName OS2

OS/2 and Windows specific metrics.

#### PCLT

    public static final OFTableName PCLT

PCL 5 data.

#### VDMX

    public static final OFTableName VDMX

Vertical Device Metrics table.

#### CMAP

    public static final OFTableName CMAP

Character to glyph mapping.

#### CVT

    public static final OFTableName CVT

Control Value Table.

#### FPGM

    public static final OFTableName FPGM

Font program.

#### GASP

    public static final OFTableName GASP

Grid-fitting and scan conversion procedure (grayscale).

#### GLYF

    public static final OFTableName GLYF

Glyph data.

#### HDMX

    public static final OFTableName HDMX

Horizontal device metrics.

#### HEAD

    public static final OFTableName HEAD

Font header.

#### HHEA

    public static final OFTableName HHEA

Horizontal header.

#### HMTX

    public static final OFTableName HMTX

Horizontal metrics.

#### KERN

    public static final OFTableName KERN

Kerning.

#### LOCA

    public static final OFTableName LOCA

Index to location.

#### MAXP

    public static final OFTableName MAXP

Maximum profile.

#### NAME

    public static final OFTableName NAME

Naming table.

#### POST

    public static final OFTableName POST

PostScript information.

#### PREP

    public static final OFTableName PREP

CVT Program.

#### VHEA

    public static final OFTableName VHEA

Vertical Metrics header.

#### VMTX

    public static final OFTableName VMTX

Vertical Metrics.

#### SVG

    public static final OFTableName SVG

### Method Detail

#### getName

    public String getName()

Returns the name of the table as it should be in the Directory Table.

#### getValue

    public static OFTableName getValue(String tableName)

Returns an instance of this class corresponding to the given string representation.

Parameters:
  `tableName` - table name as in the Table Directory
Returns:
  TTFTableName

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`